---
title: ngd-pillboxaddon
description: 
published: true
date: 2025-01-28T01:17:03.583Z
tags: 
editor: markdown
dateCreated: 2025-01-28T00:46:54.225Z
---

<div align="center">
  <img src="/11f39c35-0150-4b61-b168-a61c673b9cce.png" alt="NGD Logo">
  
  <h1><a href="https://store.nemesisgd.com/package/6444037" target="_blank">NGD-PILLBOXADDON</a></h1>
</div>


## Installation Steps

1. **Install ngd-Bridge**  
   Follow the guide to install ngd-Bridge [HERE](https://nemesisdocs.com/en/gettingstarted).

2. **Install ngd-pillboxaddon**  
   Place `ngd-pillboxaddon` into your **[ngd]** folder. This script must be started **after** `ngd-Bridge`.

3. **Add Items to Your Inventory**  
   Copy the items listed below into your inventory.

4. **Copy Images**  
   Move the images from the `img` folder into your inventory's images folder.

5. Add the jobs into your framework.
<details>
<summary><strong>Job Configuration (QB/QBX)</strong> (Click to Expand)</summary>
  
## QB (old jobs.lua)

```lua
['pillboxfood'] = {
    label = 'Pillbox Food',
    defaultDuty = true,
    grades = {
        ['0'] = { name = 'Employee', payment = 25 },
        ['1'] = { name = 'Owner', payment = 75, isboss = true },
    },
},
['pillboxpharm'] = {
    label = 'Pillbox Pharmacy',
    defaultDuty = true,
    grades = {
        ['0'] = { name = 'Employee', payment = 25 },
        ['1'] = { name = 'Owner', payment = 75, isboss = true },
    },
},
```
  
## QB (new jobs.lua)

  
```lua
pillboxfood = {
    label = 'Pillbox Food',
    type = 'pillboxfood',
    defaultDuty = false,
    offDutyPay = false,
    grades = {
        ['0'] = { name = 'Employee', payment = 25 },
        ['1'] = { name = 'Owner', payment = 75, isboss = true },
    },
},
pillboxpharm = {
    label = 'Pillbox Pharmacy',
    type = 'pillboxpharm',
    defaultDuty = false,
    offDutyPay = false,
    grades = {
        ['0'] = { name = 'Employee', payment = 25 },
        ['1'] = { name = 'Owner', payment = 75, isboss = true },
    },
},
```
## QBX

```lua
pillboxfood = {
    label = 'Pillbox Food',
    type = 'pillboxfood',
    defaultDuty = false,
    offDutyPay = false,
    grades = {
        [0] = { name = 'Employee', payment = 25 },
        [1] = { name = 'Owner', payment = 75, isboss = true },
    },
},
pillboxpharm = {
    label = 'Pillbox Pharmacy',
    type = 'pillboxpharm',
    defaultDuty = false,
    offDutyPay = false,
    grades = {
        [0] = { name = 'Employee', payment = 25 },
        [1] = { name = 'Owner', payment = 75, isboss = true },
    },
},
```
## ESX (If this doesn't work for you, you will need to build them manually into your modified database)

```sql
SELECT id FROM job_grades ORDER BY id DESC LIMIT 1 INTO @last_id;

SET @new_id = IFNULL(@last_id, 0) + 1;

INSERT INTO jobs (name, label, whitelisted) VALUES ('pillboxpharm', 'Pillbox Pharmacy', 0);

INSERT INTO job_grades (id, job_name, name, grade, label, salary, skin_male, skin_female)
VALUES (@new_id, 'pillboxpharm', 'employee', 0, 'Employee', 100, '{}', '{}');

INSERT INTO job_grades (id, job_name, name, grade, label, salary, skin_male, skin_female)
VALUES (@new_id + 1, 'pillboxpharm', 'boss', 1, 'Boss', 200, '{}', '{}');

INSERT INTO jobs (name, label, whitelisted) VALUES ('pillboxfood', 'Pillbox Food', 0);

INSERT INTO job_grades (id, job_name, name, grade, label, salary, skin_male, skin_female)
VALUES (@new_id, 'pillboxfood', 'employee', 0, 'Employee', 100, '{}', '{}');

INSERT INTO job_grades (id, job_name, name, grade, label, salary, skin_male, skin_female)
VALUES (@new_id + 1, 'pillboxfood', 'boss', 1, 'Boss', 200, '{}', '{}');
```  
</details>

6. Add the items into your framework/inventory.
<details>
<summary><strong>Items List</strong> (Click to Expand)</summary>

```lua
-- Add these items to your inventory:
["ngd_pilllb"] = { label = "Pillbox Light Beer", weight = 0, stack = true, close = true, client = { image = "ngd_pilllb.png" } },
["ngd_pilllager"] = { label = "Pillbox Lager", weight = 0, stack = true, close = true, client = { image = "ngd_pilllager.png" } },
["ngd_pillstout"] = { label = "Pillbox Stout", weight = 0, stack = true, close = true, client = { image = "ngd_pillstout.png" } },
["ngd_pillpopcorn"] = { label = "Popcorn", weight = 0, stack = true, close = true, client = { image = "lgm_pillboxfood_1.png" } },
["ngd_pillsalad"] = { label = "Pillbox Salad", weight = 0, stack = true, close = true, client = { image = "ngd_pillsalad.png" } },
-- Add the rest of the items similarly...
```

</details>




---





## Configuration Notes

- **Extensive Configuration Options**  
  Open and configure all the `Config` files to match your server's settings.

- **Customizable Menu Images**  
  The images used in the menus can be replaced. They are located in the `web/menuimages` folder.

